Bug 1209695 - yum/dnf changes break composoing ostree trees
Summary: yum/dnf changes break composoing ostree trees
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm-ostree
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F22BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-04-08 01:56 UTC by Dennis Gilmore
Modified: 2015-04-14 21:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-14 21:09:05 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Dennis Gilmore 2015-04-08 01:56:02 UTC
Description of problem:
with the recent changes of dnf taking over /usr/bin/yum rpm-ostree is broken

INFO: mock.py version 1.2.7 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata   
INFO: enabled ccache
Finish: chroot init
Start: shell
Previous commit: 3446fb1ee17d2861b6c128bbddbdbd28efa90648da40b63c0bff78224d1264fb
Starting  'yum' '-y' '--disablerepo=*' '--setopt=reposdir=/srv/pungi/fedora-atomic' '--enablerepo=fedora-22' '--enablerepo=fedora-22-bleed' '--setopt=keepcache=0' '--setopt=cachedir=/var/tmp/rpm-ostree.4KAXWX/yum-cache' '--setopt=override_install_langs=e
n_US' '--setopt=tsflags=nodocs' '--installroot=/var/tmp/rpm-ostree.4KAXWX/rootfs.tmp' 'shell'
yum> install atomic
yum> install glibc
yum> install nss-altfiles
yum> install shadow-utils
yum> install fedora-release
yum> install dracut-config-generic
yum> install kernel
yum> install dracut-network
yum> install rpm-ostree
yum> install lvm2
yum> install authconfig
yum> install btrfs-progs
yum> install e2fsprogs
yum> install xfsprogs
yum> install grub2
yum> install grub2-efi
yum> install ostree-grub2
yum> install efibootmgr
yum> install shim
yum> install gnupg2
yum> install basesystem
yum> install bash
yum> install xz
yum> install gzip
yum> install bzip2
yum> install coreutils
yum> install which
yum> install nfs-utils
yum> install curl
yum> install NetworkManager
yum> install hostname
yum> install initscripts
yum> install iproute
yum> install iputils
Yum command has been deprecated, use dnf instead.
See 'man dnf' and 'man yum2dnf' for more information.
To transfer transaction metadata from yum to DNF, run 'dnf migrate'Redirecting to '/usr/bin/dnf -y --disablerepo=* --setopt=reposdir=/srv/pungi/fedora-atomic --enablerepo=fedora-22 --enablerepo=fedora-22-bleed --setopt=keepcache=0 --setopt=cachedir=/var/tmp/rpm-ostree.4KAXWX/yum-cache --setopt=override_install_langs=en_US --setopt=tsflags=nodocs --installroot=/var/tmp/rpm-ostree.4KAXWX/rootfs.tmp shell'

yum> install less
yum> install sos
yum> install openssh-clients
yum> install openssh-server
yum> install passwd
yum> install plymouth
yum> install policycoreutils
yum> install procps-ng
yum> install rootfiles
yum> install rpm
yum> install selinux-policy-targeted
yum> install setup
yum> install shadow-utils
yum> install sudo
yum> install systemd
yum> install util-linux
yum> install vim-minimal
yum> install less
yum> install tar
yum> install cloud-init
yum> install cloud-utils-growpart
yum> install docker-storage-setup
yum> install rsync
yum> install bash-completion
yum> install tmux
yum> install strace
yum> install lsof
yum> install tcpdump
yum> install nmap-ncat
yum> install policycoreutils-python
yum> install setools-console
yum> install audit
yum> install cockpit-bridge
yum> install cockpit-shell
yum> install cockpit-docker
yum> install cockpit-daemon
yum> install kubernetes
yum> install etcd
yum> install flannel
yum> install docker
yum> install python-docker-py
yum> run
Waiting for yum...
Config error: releasever not given and can not be detected from the installroot.
error: Child process exited with code 1
Finish: shell


Marking as an accepted blocker because we can not compose a release blocking component for Beta

Comment 1 Adam Williamson 2015-04-08 04:10:58 UTC
For the record, automatic blocker process: https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers

"Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release"

(though, uh, when did we decide the Atomic images were release-blocking?)

Comment 2 Colin Walters 2015-04-08 12:54:12 UTC
See https://github.com/projectatomic/rpm-ostree/issues/121

Comment 3 Adam Williamson 2015-04-08 14:12:33 UTC
So in fact the RC1 Atomic images *did* compose, therefore this shouldn't be an automatic blocker. Moving it to proposed so we can discuss its actual impact.

Are the Atomic images completely broken/wrong in some regard?

Comment 4 Dennis Gilmore 2015-04-08 14:45:01 UTC
the atomic images have an unknown tree installed, that is another bug that should also be a blocker. this is a blocker.

Comment 5 Adam Williamson 2015-04-08 15:00:49 UTC
it's not on the list of automatic blocker issues, therefore you can't just throw an AcceptedBlocker tag at it. Part of the point is so that we'll have a discussion of what's actually going on and what the resolution needs to be - this is useful even for 'obvious' blockers.

Comment 6 Fedora Update System 2015-04-08 18:20:39 UTC
rpm-ostree-2015.3-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rpm-ostree-2015.3-7.fc22

Comment 7 Adam Williamson 2015-04-08 21:26:30 UTC
Cloud WG agreed at a meeting today that the Atomic images are not considered 'release blocking', I believe, which makes this not a blocker bug. I'm +1 FE, though.

Comment 8 Kevin Fenzi 2015-04-08 21:29:45 UTC
Yeah, I think it will be a shame if we don't ship ostree trees in beta, but oh well. Definitely +1 FE.

Comment 9 Fedora Update System 2015-04-09 16:46:14 UTC
Package rpm-ostree-2015.3-7.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-ostree-2015.3-7.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5905/rpm-ostree-2015.3-7.fc22
then log in and leave karma (feedback).

Comment 10 Adam Williamson 2015-04-10 04:30:24 UTC
Discussed at 2015-04-09 Go/No-Go meeting, acting as a blocker review meeting: https://meetbot.fedoraproject.org/fedora-meeting-2/2015-04-09/f22_beta_gono-go_meeting.2015-04-09-17.00.html . Rejected as a blocker, as Cloud WG determined that the Atomic images are not release blocking at present. Accepted as a freeze exception, as we would like to fix them if possible.

Comment 11 Adam Williamson 2015-04-14 21:09:05 UTC
Update has gone stable, closing.


Note You need to log in before you can comment on or make changes to this bug.